getPetEatingList(data: GetPetEatingList)

Requires:
@ray-js/ray≥1.6.27

Description

Get paginated pet feeding records

Parameters

ParameterTypeRequiredDescription
YesRequest parameters: ownerId, pagination pageNo/pageSize, optional time range and dataType, etc.

Return Value

Type: Promise<PetEatingResult>
Promise that resolves to paginated data (total, has next page, record list, etc.)

Referenced Types

typePetEatingResult
PropertyTypeDescription
totalCountnumberTotal record count
pageNonumberPage number
pageSizenumberPage size
hasNextbooleanWhether there is a next page
Feeding information

Valid Values

PetEatingResult.data.isEncrypted
ValueDescriptionSince
0--
1--

Examples

Request example

import { getPetEatingList } from '@ray-js/ray';

getPetEatingList({
  ownerId: 'xxxx',
  pageNo: 1,
  pageSize: 10,
});

Response example

{
  "totalCount": 100,
  "pageNo": 1,
  "pageSize": 10,
  "hasNext": true,
  "data": [
    {
      "recordNo": "22",
      "devId": "vdevo123456",
      "ownerId": "xxxx",
      "isEncrypted": 0,
      "videoCoverDisplay": "https://xxxx/xxxx",
      "videoDisplay": "https://xxxx/xxxx",
      "petAction": "eating",
      "pets": [
        {
          "petId": 2,
          "petName": "Fubao"
        }
      ]
    }
  ]
}